StartupEvents.registry('item', event => {
  event.create('v_borne:garapa_bottle').food(food => {
    food
	  .alwaysEdible()
      .effect('fruitsdelight:lozenge', 1800, 0, 1)
      .effect('fruitsdelight:sweetening', 1200, 0, 1)
	  .effect('fruitsdelight:recovering', 1200, 0, 1)
      .eaten(ctx => {
			ctx.player.give("minecraft:glass_bottle")
        })
    }).useAnimation("drink").group("v_borne.foodstuffs")
  event.create('v_borne:acorn_bun').food(food => {
    food
      .hunger(6)
      .saturation(6) // This value does not directly translate to saturation points gained
	  .effect('minecraft:instant_health', 1, 0, 1)
	  .effect('minecraft:resistance', 300, 0, 1)
	}).group("v_borne.foodstuffs")
  event.create('v_borne:acorn_cookie').food(food => {
    food
      .hunger(6)
      .saturation(5) // This value does not directly translate to saturation points gained
	  .effect('minecraft:instant_health', 2, 0, 1)
	  .effect('farmersdelight:comfort', 600, 0, 1)
    }).group("v_borne.foodstuffs")
  event.create('v_borne:raw_acorn_cookie').food(food => {
    food
      .hunger(3)
      .saturation(1) // This value does not directly translate to saturation points gained
	  .effect('minecraft:hunger', 600, 1, 1)
    }).group("v_borne.foodstuffs")
  event.create('v_borne:refried_beans').food(food => {
    food
      .hunger(12)
      .saturation(10) // This value does not directly translate to saturation points gained
      .effect('minecraft:speed', 600, 2, 1)
	  .effect('minecraft:fire_resistance', 600, 2, 1)
	  .effect('minecraft:haste', 600, 1, 1)
	  .effect('minecraft:luck', 600, 1, 1)
	  .effect('minecraft:resistance', 600, 1, 1)
	  .effect('minecraft:strength', 600, 2, 1)
      .removeEffect('minecraft:poison')
      .alwaysEdible() // Like golden apples
      .meat() // Dogs are willing to eat it
    }).group("v_borne.foodstuffs")
  event.create('v_borne:moon_pie').food(food => {
    food
      .hunger(8)
      .saturation(5) // This value does not directly translate to saturation points gained
	  .effect('minecraft:water_breathing', 1800, 0, 1)
	  .effect('minecraft:luck', 400, 0, 1)
    }).group("v_borne.foodstuffs")
})